\definecolor{zzttff}{rgb}{0.6,0.2,1.}
\definecolor{qqqqff}{rgb}{0.,0.,1.}
\definecolor{cqcqcq}{rgb}{0.7529411764705882,0.7529411764705882,0.7529411764705882}
\begin{tikzpicture}[scale=0.85][line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\draw [color=cqcqcq,, xstep=1.0cm,ystep=1.0cm] (-4.3,-2.26) grid (4.7,5.3);
\draw[->,color=black] (-4.3,0.) -- (4.7,0.);
\foreach \x in {-4.,-3.,-2.,-1.,1.,2.,3.,4}
\draw[shift={(\x,0)},color=black] (0pt,2pt) -- (0pt,-2pt) node[below] {\footnotesize $\x$};
\draw[->,color=black] (0.,-2.26) -- (0.,5.3);
\foreach \y in {-2.,-1.,1.,2.,3.,4.,5}
\draw[shift={(0,\y)},color=black] (2pt,0pt) -- (-2pt,0pt) node[left] {\footnotesize $\y$};
\draw[color=black] (0pt,-10pt) node[right] {\footnotesize $0$};
\clip(-4.3,-2.26) rectangle (4.7,5.3);
\draw[line width=1.2pt,color=qqqqff,smooth,samples=1000,domain=-2:2] plot(\x,{1-(\x)}) ;
\draw[line width=1.2pt,color=qqqqff,smooth,samples=1000,domain=-2:2] plot(\x,{(\x)^3-3*(\x)+1}) ;
\begin{scriptsize}
\draw [color=black] (-2.,-1.)-- ++(-4.0pt,0 pt) -- ++(8.0pt,0 pt) ++(-4.0pt,-4.0pt) -- ++(0 pt,8.0pt);
\draw [color=black] (2.,3.)-- ++(-4.0pt,0 pt) -- ++(8.0pt,0 pt) ++(-4.0pt,-4.0pt) -- ++(0 pt,8.0pt);
\draw[color=qqqqff] (-1.98,0.61) node {$\mathcal{C}_g$};
\draw[color=zzttff] (-2.46,3.83) node {$\mathcal{C}_f$};
\draw [color=black] (3.,-2.)-- ++(-4.0pt,0 pt) -- ++(8.0pt,0 pt) ++(-4.0pt,-4.0pt) -- ++(0 pt,8.0pt);
\draw [color=black] (-4.,5.)-- ++(-4.0pt,0 pt) -- ++(8.0pt,0 pt) ++(-4.0pt,-4.0pt) -- ++(0 pt,8.0pt);;
\end{scriptsize}
\end{tikzpicture}